Oracle Linux 7: python3(ELSA-2021-9101)

critical Nessus プラグイン ID 147621
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのOracle Linuxホストにセキュリティ更新プログラムがありません。

説明

リモートのOracle Linux 7ホストに、ELSA-2021-9101アドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- Python3.xから3.9.1は、_ctypes/callproc.cのPyCArg_reprのバッファオーバーフローがあります。これにより、浮動小数点を信頼できない入力として受け入れる特定のPythonアプリケーションで、リモートコード実行が引き起こされることがあります。これは、c_double.from_paramに対する1e300引数で実証されています。これは、sprintfが安全でない方法で使用されているために発生します。(CVE-2021-3177)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://linux.oracle.com/errata/ELSA-2021-9101.html

プラグインの詳細

深刻度: Critical

ID: 147621

ファイル名: oraclelinux_ELSA-2021-9101.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2021/3/10

更新日: 2021/3/11

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2021-3177

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:oracle:linux:7, p-cpe:/a:oracle:linux:python3, p-cpe:/a:oracle:linux:python3-debug, p-cpe:/a:oracle:linux:python3-devel, p-cpe:/a:oracle:linux:python3-idle, p-cpe:/a:oracle:linux:python3-libs, p-cpe:/a:oracle:linux:python3-test, p-cpe:/a:oracle:linux:python3-tkinter

必要な KB アイテム: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/3/10

脆弱性公開日: 2021/1/19

参照情報

CVE: CVE-2021-3177